{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Tambah Makanan</title>
    <link rel="stylesheet" type="text/css" href="{% static 'restoran/restoranstyle.css' %}">
{% endblock %}
{% block headercontent %}
    <span class="lh-0">Tambah Makanan</span>
{% endblock %}
{% block content %}
    <div class="container" style="margin: auto;">
    <br><br>
        <div class="row justify-content-center">
            <div class="card-body "
                 style="border: none; border-radius: 20px; border-color: #2c063c; background-color:#F2F2F2; ">
                <form method="POST" style="margin: 10px;" enctype="multipart/form-data"
                      action="{% url 'restoran:add_food' restoran_id %}">
                    {% csrf_token %}
                    <div class="form">
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Nama Makanan:
                            </label>
                            <div class="col-sm-10">
                                {{ form.nama }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Harga:
                            </label>
                            <div class="col-sm-10">
                                {{ form.harga }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Gambar:
                            </label>
                            <div class="col-sm-10">
                                {{ form.picture }}
                            </div>
                        </div>
                        {% for message in messages %}
                            <div class="form-group row">
                            <p class="form-control-label">{{ message }}</p>
                            </div>
                        {% endfor %}
                        <div class="button d-flex justify-content-center">
                            <input type="submit" value="Simpan" class="btn btn-block" style="border-radius: 25px;
                        font-size: 25px; color: white; background-color:#4180E2;
                        width: 10em; margin-bottom: 30px ;margin-top: 30px;"
                                   role="button"/>
                            <a class="btn btn-danger btn-block ml-2" style="border-radius: 25px;
                        font-size: 25px; color: white; background-color:#E24141;
                        width: 10em; margin-bottom: 30px ;margin-top: 30px;" href="{% url 'restoran:index' %}"
                               role="button"><strong>Batal</strong></a>
                        </div>
                    </div>
                    <input type="hidden" name="restoran_id" value="{{ restoran_id }}">
                </form>
            </div>
        </div>
    </div>
{% endblock %}
